SPA PDF Overlays

SPA: Retrieves a paginated list of PDF overlays

Returns a paginated list of PDF overlays for the authenticated user's client.

GET/api/spa/pdf-overlays

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[name]
stringdefault:asc

No description provided.

order[fileName]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

subClient
string

No description provided.

subClient[]
string[]

No description provided.

search
string

Search across multiple fields (name, fileName) using OR logic with partial matching.

Response

200application/json

PdfOverlay collection

id
integer

Identifier generated by Output.Rocks.

Example: 12345

name
stringrequired

Name of the PDF overlay.

Example: "DIN A4 letterhead overlay"

fileName
stringrequired

Original PDF file name.

Example: "letterhead.pdf"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"